Bug 654852 - Libvirt usb pass through
Libvirt usb pass through
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-18 16:18 EST by Cory McKee
Modified: 2012-01-24 16:57 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-24 16:57:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cory McKee 2010-11-18 16:18:58 EST
Description of problem: Mapped a external USB drive from the host to the guest while the guest was running. Unmounted the USB drive and unpluged device, then tried to map another USB drive to the guest. 


Version-Release number of selected component (if applicable):
libvirt 0.8.3

How reproducible:


Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Elias Probst 2011-01-25 00:11:31 EST
Am I missing something?
What's the actual problem here? Looks like you missed to specify what works/doesn't work/what kind of error occurs/etc. in your bugreport.

Please provide more details!
Comment 2 Cory McKee 2011-01-25 08:47:17 EST
When you remove the first USB device and try to map the second USB device to the vm guest, the second USB device does not get detected. 

The VM guest is running through the process of adding and removing the USB devices.

Steps to Reproduce:
1. While VM guest is running map first USB storage device  
2. While VM guest is running eject first USB storage device
3. While VM guest is running map second USB storage device
   
Actual results:
Second USB storage device does not get mapped to VM Guest

Expected results:
Second USB device being mapped to VM Guest

Additional info:
Also once first USB storage device is ejected, can not be mapped and remounted to the VM guest
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:57:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-09-22 14:01:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 14:57:15 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 14:58:35 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:03:32 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-11-30 15:04:06 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Cole Robinson 2012-01-24 16:57:50 EST
F14 is EOL, please reopen if this is still relevant in a more recent fedora.

(USB should be working much better in more recent fedora btw)

Note You need to log in before you can comment on or make changes to this bug.